2026.07.c
HighlightsThe 2026.07.c release introduces the Platform MCP Server, hazard curve details, and updates to accumulation profiles.
- The Platform MCP Server enables Intelligent Risk Platform tenants to discover and implement catastrophe modeling and reinsurance workflows.
- The Accumulation API now returns detail information about accumulation profiles.
- The Model API now supports hazard curve analysis. A hazard curve analysis is a type of probabilistic analysis that produce cumulative distributions curves, which show the probability that a specific hazard (e.g. earthquake ground shaking) will exceed a certain amount at a specific location.
- The Risk Data API now return hazard curve data the HD Earthquake Hazard Curve analysis.
Learn More
Platform MCP Server
The Platform MCP Server transforms Platform API specifications, documentation, and code samples into a single, queryable knowledge graph that enables Intelligent Risk Platform tenants to discover and implement catastrophe modeling and reinsurance workflows.
The Platform MCP Server is built on the Model Context Protocol, which defines a standard method for AI applications to connect to external tools and data. Supported MCP host applications include Claude Code, Cursor, IntelliJ (Jet Brains AI Assistant), and Visual Studio Code.
The MCP Server is secure. Every request must be authenticated at Moody's API gateway by an API key. AI tools have read or write access to tenant resources based on assigned entitlement and role-based access controls.
To learn more, see Platform MCP Server.
Accumulation API
Search Accumulation Profiles
The Search Accumulation Profiles operation (GET /platform/accumulation/v1/profiles) returns a list of accumulation profiles.
This operation returns detailed information about a list of profile summaries. The details and globalProfileFilters properties are not returned.
[
{
"profileId": 2,
"profileName": "hw_test_acc",
"createdBy": "[email protected]",
"createdAt": "2026-05-19T02:30:57.518Z",
"updatedAt": "2026-06-29T07:26:04.073Z",
"filterPredicateCount": 1,
"isActive": true,
"analysisType": "geopolitical",
"description": "",
"tags": [1150],
"geocodeVersion": "25.0",
"excludePostalCodeAndLowerResolution": false
}
]Get Accumulation Profile
The Get Accumulation Profile operation (GET /platform/accumulation/v1/profiles/{profileId}) returns the specified accumulation profile.
An accumulation profile specifies general analysis settings (peril, geocoding version, etc.), scope (regions, layers, or targets), damages (damage factors and damage factor filters), and optional workers compensation settings.
This operation now returns the complete profile including details and globalProfileFilters.
{
"profileId": 2,
"profileName": "hw_test_acc",
"createdBy": "[email protected]",
"createdAt": "2026-05-19T02:30:57.518Z",
"updatedAt": "2026-06-29T07:26:04.073Z",
"filterPredicateCount": 1,
"isActive": true,
"analysisType": "geopolitical",
"description": "",
"tags": [1150],
"geocodeVersion": "25.0",
"excludePostalCodeAndLowerResolution": false,
"details": [
{
"damageFactors": [
{
"filters": [
{
"attribute": "address.countrypgfid",
"operator": "!=",
"value": "-1"
}
],
"lossTypeDamageFactors": [{ "lossType": 0, "factor": 1.0 }],
"label": null,
"perilCode": "FL"
}
],
"minLossThreshold": 1.0,
"workersCompProfileSettings": null
}
],
"globalProfileFilters": []
}This operation returns the details and globalProfileFilters arrays.
The damageFactors array returns a list of damage factors. A damage factor is a peril-specific mechanism for adjusting the projected ground up losses from an accumulation event at different granularities based on the characteristics of location exposures. The damage factor consists of a list of damage factor filters that select locations by property values and specify a damage ratio that adjusts the TIV of affected locations at different granularities (e.g. line of business, hazard band, or circle radius).
Each damage factor is defined by a peril, a list of filters, a list of lossTypeDamageFactors, and, optionally, a label value that can be used to identify the damage factor:
| Property | Type | Description |
|---|---|---|
filters | Array | List of damage factor filter objects. Each filter selects location exposures that are subject to the accumulation profile based on location attribute values. Consists of attribute, operator, and value. |
lossTypeDamageFactors | String | List of loss type damage factor objects. Each damage factor loss type identifies the damage ratio (factor) applied to a location's TIV at a specific granularity (lossType). |
label | String | Optional label to identify damage factor. |
perilCode | String | Peril that defines the scope of the damage factor. |
The minLossThreshold specifies the minimum loss from an accumulation event for losses to be written to the event loss tables (ELTs). Values beneath this threshold are excluded from the accumulation analysis. A value of 0 includes all events, regardless of loss. Losses below 1 are excluded by default. To use an accumulation profile for business hierarchy accumulations, the value should be 1000 or greater.
Export API
Create Export Job
The Create Export Job operation (POST /platform/export/v1/jobs) creates an export job.
This operation now supports exporting HD EQ Hazard Curve analysis results to downloadable PARQUET or CSV files. In DOWNLOAD_RESULTS export jobs, the additionalOutputs parameter now accepts two new values: RP_HAZARD and EVENT_HAZARD.
A hazard curve analysis is a type of probabilistic analysis that produce cumulative distributions curves, which show the probability that a specific hazard (e.g. earthquake ground shaking) will exceed a certain amount at a specific location. Unlike other types of analysis, which return projected financial losses, a hazard curve analysis will return hazard intensity values, such as Peak Ground Acceleration or Spectral Acceleration at specified return periods. Moody's recommends that Intelligent Risk Platform clients use hazard curves as a tool for validating Moody's RMS models (i.e. Moodyʼs RMS Earthquake Hazard) by comparing them to other third-party hazard maps or curves.
In the following example, the specified resource URI identifies a Hazard Curve analysis result:
{
"exportType": "RESULTS",
"resourceType": "analyses",
"settings": {
"fileName": "EUEQ_Q1_HazardCurve",
"fileExtension": "PARQUET",
"additionalOutputs": ["RP_HAZARD", "EVENT_HAZARD"]
},
"resourceUris": ["/platform/riskdata/v1/analyses/900012345678"]
}Data can be exported in either PARQUET or CSV format.
Legacy API
Get Batch Templates
The Search Batch Templates operation (GET /analysis-settings/batchtemplates) now supports filtering by multiple entitlements.
curl --request GET \
--url https://api-euw1.rms.com/analysis-settings/batchtemplates?entitlement="EIQ, TIQ" \
--header 'Authorization: xxxx' \
--header 'accept: application/json'Model API
Create Model Job
The Create Model Job (POST /platform/model/v1/jobs) operation now supports modeling exposure resources to perform HD Earthquake Hazard Curve analyses using the HD Earthquake models.
HD Earthquake Hazard Curve analysis can be performed using the following models:
To model an exposure using an hazard curve analysis, the outputProfile parameter must be 0.
{
"resourceUri": "/platform/riskdata/v1/expsosures/1076688/portfolios/3",
"resourceType": "portfolio",
"type": "HD",
"settings": {
"name": "test",
"modelProfileId": 2893,
"eventRateSchemeId": 745,
"outputprofileId": 0,
"climateChangeVariationId": 0,
"franchiseDeductible": false,
"minLossThreshold": 1.0,
"treatConstructionOccupancyAsUnknown": true,
"numMaxLossEvent": 1,
"currency": {
"asOfDate": "2025-05-28",
"code": "USD",
"scheme": "RMS",
"vintage": "RL25"
},
"treatyIds": []
}
}Risk Data API
Convert Event Rates and Losses
The Convert Event Rates and Losses operation (POST /platform/riskdata/v1/analyses/{analysisId}/convert-event-rate-loss) generates a new EP analysis result based on an existing reference analysis and the specified event rate schemes or loss adjustment schemes.
This operation now accepts the minLossThreshold parameter, which enables the client to exclude zero or near-zero loss events from the converted analysis ELT.
| Parameter | Type | Description |
|---|---|---|
minLossThreshold | Double | Threshold for writing losses to ELTs. Loss values beneath this value are not written. |
Search Analysis Results
The Search Analysis Results operation (GET /platform/riskdata/v1/analyses) returns a list of analysis results.
This operation now returns hazard curve analysis results.
A hazard curve analysis is a type of probabilistic analysis that produce cumulative distributions curves, which show the probability that a specific hazard (e.g. earthquake ground shaking) will exceed a certain amount at a specific location. Unlike other types of analysis, which return projected financial losses, a hazard curve analysis will return hazard intensity values, such as Peak Ground Acceleration or Spectral Acceleration at specified return periods. Moody's recommends that Intelligent Risk Platform clients use hazard curves as a tool for validating Moody's RMS models (i.e. Moodyʼs RMS Earthquake Hazard) by comparing them to other third-party hazard maps or curves.
The response will include results with the Hazard Curve analysis type:
[
{
"analysisId": 15052137,
"analysisName": "EDM250_HZCV_ALLEQ_1",
"createDate": "2026-07-22T19:01:13",
"description": "HD_RM_EUEQ_HAZCV_01",
"sourceRdmName": "",
"analysisRegroupType": "Not Required",
"exposureResourceType": "PORTFOLIO",
"engineVersion": "HDv1.0",
"exposureResourceId": 1,
"exposureName": "EDM250_HZCV_ALLEQ",
"jobId": 45946128,
"jobGuid": "f68af2be-70a0-4707-9829-b8ede4fa92c7",
"isGroup": false,
"modelProfile": {
"id": 42694,
"code": "",
"name": "HD_RM_EUEQ_HAZCV_01"
},
"outputProfile": {
"id": 0,
"code": "",
"name": ""
},
"engineType": "HD",
"analysisStatus": "Analyzed",
"analysisType": "Hazard Curve",
"peril": "Earthquake",
"subPeril": "Multi-SubPeril",
"region": "Europe (Integrated)",
"lossAmplification": "None",
"analysisMode": "Unrecognized",
"insuranceType": "Property",
"vulnerabilityCurve": "Vulnerability - Default",
"username": "[email protected]",
"eventRateSchemeNames": [
{
"id": 0,
"code": "0",
"name": "RMS 2025 Time-Dependent Rates"
}
],
"currency": {
"currencyName": "US Dollar",
"currencyCode": "USD",
"currencyScheme": "RMS",
"currencyAsOfDate": "2025-05-28T00:00:00Z",
"currencyVintage": "RL25"
},
"engineSubType": "Not Applicable",
"analysisFramework": "PLT",
"simulationSetId": 0,
"simulationPeriods": 0,
"exposureSetGuid": "32d5b595-0031-477d-a34b-a0b413547b3c",
"uri": "/platform/riskdata/v1/analyses/15052137",
"exposureResourceName": "EUEQ_HIGHRES",
"thumbprint": "EUW1.20260722.51",
"ownerName": "[email protected]",
"createdBy": "[email protected]",
"securableName": "EDM250_HZCV_ALLEQ",
"variationId": 12101113,
"eventInfo": {
"eventDateBehavior": "",
"eventDate": ""
},
"entitlement": "",
"securableUri": "/platform/riskdata/v1/exposureSet/12024893",
"analysisUuid": "77e427b0-db0e-4f6d-8e48-b1207a7420b5",
"appAnalysisId": 282848,
"engineId": 105,
"statusId": 102,
"typeId": 701,
"perilCode": "EQ",
"subPerilId": -1,
"regionCode": "EU",
"lossAmplificationId": 0,
"insuranceTypeId": 1,
"vulnerabilityCurveId": 0,
"engineSubTypeCode": "NA",
"isMultiEvent": false,
"engineSubTypeId": 0,
"securableId": 12024893,
"securableType": "exposureSet",
"tagIds": []
}
]Get Analysis Result
The Get Analysis Result operation (GET /platform/riskdata/v1/analyses/{analysisId}) returns the specified analysis result.
This operation now returns hazard curve analysis results.
A hazard curve analysis is a type of probabilistic analysis that produce cumulative distributions curves, which show the probability that a specific hazard (e.g. earthquake ground shaking) will exceed a certain amount at a specific location. Unlike other types of analysis, which return projected financial losses, a hazard curve analysis will return hazard intensity values, such as Peak Ground Acceleration or Spectral Acceleration at specified return periods. Moody's recommends that Intelligent Risk Platform clients use hazard curves as a tool for validating Moody's RMS models (i.e. Moodyʼs RMS Earthquake Hazard) by comparing them to other third-party hazard maps or curves.
The response will include results with the Hazard Curve analysis type:
{
"analysisId": 15052137,
"analysisName": "EDM250_HZCV_ALLEQ_1",
"createDate": "2026-07-22T19:01:13",
"description": "HD_RM_EUEQ_HAZCV_01",
"sourceRdmName": "",
"analysisRegroupType": "Not Required",
"exposureResourceType": "PORTFOLIO",
"engineVersion": "HDv1.0",
"exposureResourceId": 1,
"exposureName": "EDM250_HZCV_ALLEQ",
"jobId": 45946128,
"jobGuid": "f68af2be-70a0-4707-9829-b8ede4fa92c7",
"isGroup": false,
"modelProfile": {
"id": 42694,
"code": "",
"name": "HD_RM_EUEQ_HAZCV_01"
},
"outputProfile": {
"id": 0,
"code": "",
"name": ""
},
"engineType": "HD",
"analysisStatus": "Analyzed",
"analysisType": "Hazard Curve",
"peril": "Earthquake",
"subPeril": "Multi-SubPeril",
"region": "Europe (Integrated)",
"lossAmplification": "None",
"analysisMode": "Unrecognized",
"insuranceType": "Property",
"vulnerabilityCurve": "Vulnerability - Default",
"username": "[email protected]",
"eventRateSchemeNames": [
{
"id": 0,
"code": "0",
"name": "RMS 2025 Time-Dependent Rates"
}
],
"currency": {
"currencyName": "US Dollar",
"currencyCode": "USD",
"currencyScheme": "RMS",
"currencyAsOfDate": "2025-05-28T00:00:00Z",
"currencyVintage": "RL25"
},
"engineSubType": "Not Applicable",
"analysisFramework": "PLT",
"simulationSetId": 0,
"simulationPeriods": 0,
"exposureSetGuid": "32d5b595-0031-477d-a34b-a0b413547b3c",
"uri": "/platform/riskdata/v1/analyses/15052137",
"exposureResourceName": "EUEQ_HIGHRES",
"thumbprint": "EUW1.20260722.51",
"ownerName": "[email protected]",
"createdBy": "[email protected]",
"securableName": "EDM250_HZCV_ALLEQ",
"additionalProperties": [
{
"key": "dataVersion",
"properties": [
{
"id": 0,
"name": "",
"value": "22.0.0"
}
]
},
{
"key": "exposure",
"properties": [
{
"id": 1,
"name": "EUEQ_HIGHRES",
"value": "EDM250_HZCV_ALLEQ"
}
]
},
{
"key": "eventRateSchemeId",
"properties": [
{
"id": 898,
"name": "",
"value": ""
}
]
},
{
"key": "analysisInfo",
"properties": [
{
"id": 0,
"name": "scalefactor",
"value": "1.0"
},
{
"id": 0,
"name": "singlefamilyrate",
"value": "0.0"
},
{
"id": 0,
"name": "multifamilyrate",
"value": "0.0"
},
{
"id": 0,
"name": "otherrate",
"value": "0.0"
},
{
"id": 0,
"name": "singlefamilyfactor",
"value": "0.0"
},
{
"id": 0,
"name": "multifamilyfactor",
"value": "0.0"
},
{
"id": 0,
"name": "otherfactor",
"value": "0.0"
},
{
"id": 0,
"name": "scalebldgvalues",
"value": "0.0"
},
{
"id": 0,
"name": "scalecontentvalues",
"value": "0.0"
},
{
"id": 0,
"name": "scalebivalues",
"value": "0.0"
}
]
}
],
"variationId": 12101113,
"eventInfo": {
"eventDateBehavior": "",
"eventDate": ""
},
"entitlement": "",
"securableUri": "/platform/riskdata/v1/exposureSet/12024893",
"analysisUuid": "77e427b0-db0e-4f6d-8e48-b1207a7420b5",
"appAnalysisId": 282848,
"engineId": 105,
"statusId": 102,
"typeId": 701,
"perilCode": "EQ",
"subPerilId": -1,
"regionCode": "EU",
"lossAmplificationId": 0,
"insuranceTypeId": 1,
"vulnerabilityCurveId": 0,
"engineSubTypeCode": "NA",
"isMultiEvent": false,
"engineSubTypeId": 0,
"securableId": 12024893,
"securableType": "exposureSet",
"tagIds": []
}Get Analysis Hazard Curve Details
The Get Analysis Hazard Curve Details operation (GET /platform/riskdata/v1/analyses/{analysisId}/hazard-curve-details) returns location-level hazard curve details for the specified HD Earthquake Hazard Curve analysis.
A hazard curve analysis is a type of probabilistic analysis that produce cumulative distributions curves, which show the probability that a specific hazard (e.g. earthquake ground shaking) will exceed a certain amount at a specific location. Unlike other types of analysis, which return projected financial losses, a hazard curve analysis will return hazard intensity values, such as Peak Ground Acceleration (PGA) or Spectral Acceleration (SA) at specified return periods. Moody's recommends that Intelligent Risk Platform clients use hazard curves as a tool for validating Moody's RMS models (i.e. Moodyʼs RMS Earthquake Hazard) by comparing them to other third-party hazard maps or curves.
This operation supports an optional hazardMetricType query parameter that enables the client to filter the hazard curve metrics returned by metric type. One of PGA or SA:
- Peak Ground Acceleration (PGA) is a ground motion metric used in earthquake modeling to measure the maximum acceleration of the ground surface during shaking, independent of any structure. It is expressed in g's (units of gravity, where 1g ≈ 9.81 m/s²). Unlike SA, PGA is not tied to a structural period, i.e. the period of vibration, which depends on its construction type and number of stories .
- Spectral Acceleration (SA) is a ground motion metric used in earthquake modeling to measure the peak acceleration response of a building, modeled as a single oscillator at its fundamental period of vibration, during shaking (i.e. the structural period). It is expressed in g's (units of gravity, where 1g ≈ 9.81 m/s²). Unlike PGA, SA is reported for a specific structural period, e.g. 0.3s.
For each location in the analysis result, the response returns metrics.
[
{
"locationId": 3,
"locationNumber": 3,
"locationName": "3",
"latitude": 47.712066,
"longitude": 14.222917,
"postalCode": "4574",
"cityName": "Vorderstoder",
"admin2Name": "Kirchdorf an der Krems",
"admin1Name": "Oberosterreich",
"zone1": "45",
"countryScheme": "ISO2A",
"countryCode": "AT",
"metrics": [
{
"hazardMetricType": "PGA",
"structuralPeriodSec": 0.0,
"hazardValueUnit": "g",
"returnPeriods": [
10, 50, 100, 200, 250, 475, 1000, 1500, 2475, 5000, 10000
],
"hazardValues": [
0.0022336499793484672, 0.00951874794518704, 0.016300992665580546,
0.02710857354562425, 0.03125681341001979, 0.04796763775590844,
0.0748577587745859, 0.0959266896924216, 0.13082101635233948,
0.18934896333312293, 0.27250656302913984
]
}
]
}
]The metrics object returns hazard curve details:
| Property | Type | Description |
|---|---|---|
hazardMetricType | String | Type of hazard metric. |
structuralPeriodSec | Double | Structural period in seconds. |
hazardValueUnit | String | Unit used to measure hazard values. |
returnPeriods | Array | List of |
hazardValues | Array | List of hazard values that measure hazard intensity at a specific return period. |
Get Marginal Impact Accumulation by Geography
The Get Marginal Accumulation by Geography operation (GET /analyses/id/marginal-accumulations-by-geography) returns marginal impact accumulations for the specified geography.
Get Marginal Impact Accumulation
The Get Marginal Impact Accumulation operation (POST /platform/riskdata/v1/analysis/{id}/accumulation-marginal-impact) marginal impact accumulations for the specific analysis result.
Search Report Views
The Search Report Views operation (GET /platform/riskdata/v1/reportviews) returns a list of report views.
A report view is a collection of metrics, statistics, loss tables, and reports that is generated automatically whenever an UnderwriteIQ client creates exposures in batch using the Create Batch Job operation.
This operation now returns MARGINAL_ACCUMULATION_SUMMARY report views.
Get Report View
The Get Report View operation (GET /platform/riskdata/v1/reportviews/{id}) returns a list of report views.
A report view is a collection of metrics, statistics, loss tables, and reports that is generated automatically whenever an UnderwriteIQ client creates exposures in batch using the Create Batch Job operation.
This operation now returns MARGINAL_ACCUMULATION_SUMMARY report views.
Tenant Data API
Update VPN Connection
The Update VPN Connection updates the specified VPN connection.
The irpBgpAsn and tunnelSettings parameters can now be specified in the body of the request. Both were formerly read-only.
| Property | Type | Description |
|---|---|---|
irpBgpAsn | String | The autonomous system number assigned to the BGP autonomous system. Can be set if supported by the tenant's network configuration |
tunnelSettings | Object | VPN tunnel with the specified inside link addressing. |
The defines the inside addressing for a site-to-site VPN tunnel. This object is defined by two properties:
| Property | Type | Description |
|---|---|---|
id | String | Index or ID of VPN tunnel. |
insideCidr | String | Customer-side VPN tunnel link address in CIDR block format. |
Create VPN Connection
The Create VPN Connection creates the specified VPN connection.
The irpBgpAsn and tunnelSettings parameters can now be specified in the body of the request. Both were formerly read-only.
| Property | Type | Description |
|---|---|---|
irpBgpAsn | String | The autonomous system number assigned to the BGP autonomous system. Can be set if supported by the tenant's network configuration |
tunnelSettings | Object | VPN tunnel with the specified inside link addressing. |
The defines the inside addressing for a site-to-site VPN tunnel. This object is defined by two properties:
| Property | Type | Description |
|---|---|---|
id | String | Index or ID of VPN tunnel. |
insideCidr | String | Customer-side VPN tunnel link address in CIDR block format. |
